Package org.eclipse.e4.ui.css.core.impl.engine

# Class RegistryCSSElementProvider

java.lang.Object
org.eclipse.e4.ui.css.core.impl.engine.RegistryCSSElementProvider

All Implemented Interfaces:
  `IElementProvider`

public class RegistryCSSElementProvider extends Object implements IElementProvider
A simple `IElementProvider` that is configured by an extension point.

## Constructor Summary

Constructors
Constructor
Description
`RegistryCSSElementProvider(IExtensionRegistry registry)`

## Method Summary

Modifier and Type
Method
Description
`Element`
`getElement(Object o, CSSEngine engine)`
Return the w3c `Element` which wrap the native widget `element` (SWT Control, Swing JComponent).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegistryCSSElementProvider

public RegistryCSSElementProvider(IExtensionRegistry registry)

## Method Details

### getElement

public Element getElement(Object o, CSSEngine engine)
Description copied from interface: `IElementProvider`
Return the w3c `Element` which wrap the native widget `element` (SWT Control, Swing JComponent). The `element` can be the w3c Element. The provider should check that the supplied widgets/objects are compatible with the provided CSS Engine.

Specified by:
  `getElement` in interface `IElementProvider`